#styles {
  width: 10px;
  height: 10px;
  border: 1px solid blue;
  color: blue
  
}

#styles2 {
  display: none;
}


.div3 {
  color: black;
}

.newDiv3 {
  color: rgb(42, 0, 42);
  font-size: 16px;
  font-weight: bold;
}

.newDiv4 {
  color: violet;
  font-size: 18px;
  background-color: #180531;
}

body {
  padding: 10px;
  color: black;
  font-size: 16px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  background: rgb(20, 149, 238);
  background: linear-gradient(
    -90deg,
    rgba(20, 149, 238, 0.6054796918767507) 27%,
    rgba(140, 222, 255, 0.742734593837535) 67%,
    rgba(255, 255, 255, 0) 88%
  );
  background-size: 400% 400%;
  animation: gradient 30s ease infinite;
  height: 100%;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
.container {
  display: grid;
  grid-auto-flow: dense;
  grid-template-columns: 15% 30% 50%;
  grid-template-rows: 70% 40%;
  gap: 20px 20px;
  grid-template-areas: "a b c";
}

.boxes {
  padding: 5px;
  border: 2px solid rgba(23, 131, 246, 0.8);
  text-overflow: ellipsis;
  overflow: hidden;
}

h3 {
  cursor: cell;
}
.mode input {
  color: white;
}
.mode {
  background-color: black;
  color: white;
  background: linear-gradient(
    -40deg,
    rgba(62, 41, 117, 0.908000700280112) 0%,
    rgba(0, 0, 0, 0.9500175070028011) 25%,
    rgba(0, 0, 154, 0.87718837535014) 95%
  );
  background-size: 400% 400%;
  animation: gradient 200s ease infinite;
  height: 100%;
}

input {
  background-color: transparent;
  border: 2px solid rgba(23, 131, 246, 0.8);
  box-sizing: border-box;
  color: black;
  font-weight: bold;
  font-size: 16px;
  padding: 16px 23px;
  letter-spacing: 0.1em;
  position: relative;
  text-decoration: none;
  user-select: none;
}
button {
  background-color: transparent;
  border: 2px solid rgba(23, 131, 246, 0.8);
  box-sizing: border-box;
  color: #00132c;
  font-size: 16px;
  font-weight: 700;
  padding: 16px 23px;
  position: relative;
  text-decoration: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

button:hover,
button:active {
  outline: 0;
}

button:hover {
  background-color: transparent;
  cursor: pointer;
}

button:before {
  background-color: #aa8cfb6d;
  content: "";
  height: calc(100% + 3px);
  position: absolute;
  right: -7px;
  top: -9px;
  transition: background-color 300ms ease-in;
  width: 100%;
  z-index: -1;
}

button:hover:before {
  background-color: rgba(23, 131, 246, 0.8);
}

@media (min-width: 768px) {
  button {
    padding: 16px 32px;
  }
}
